#root{
	background-color: #fff;
}

.wf_number_list {
	display: flex;
	flex-flow: row nowrap;
	justify-content: center;
	list-style-type: none;
	padding: 20px 0px 0px 0px;
}

.wf_number_list li {
	position: relative;
	min-width: 6rem;
	margin: 0 50px;
	text-align: center;
	width: auto;
}

.wf_number_list a {
	text-decoration: none;
}

.wf_step:after {
	top: calc(2.5rem/2);
	right: 0;
	width: 100px;
	content: "";
	position: absolute;
	z-index: 0;
	transform: translate(-100%, 50%);
	height: 1px;
	background: #cacaca;
}

.wf_active:after{
	background-color: var(--primary-color);
}

@media screen and (max-width: 575px){
	.wf_number_list li {
		position: relative;
		min-width: 6rem;
		margin: 0 25px;
		text-align: center;
		width: auto;
	}

	.wf_step:after {
		top: calc(2.5rem/2);
		right: 0;
		width: 50px;
		content: "";
		position: absolute;
		z-index: 0;
		transform: translate(-200%, -50%);
		height: 1px;
		background: #cacaca;
	}
}


.wf_number {
	color: #fff;
	align-items: center;
	border: 1px solid #dedede;
	background-color: #dedede;
	border-radius: 25px;
	display: flex;
	height: 50px;
	justify-content: center;
	line-height: 50px;
	margin: 0 auto;
	width: 50px;
}



.wf_number_txt {
	color: #dedede;
	text-align: center;
}

.wf_active .wf_number{
	border: 1px solid var(--primary-color);
	background-color: var(--primary-color);
}

.wf_active .wf_number_txt{
	color: var(--primary-color);
}



#root h1 {
	font-size: 24px;
	margin: 0px 10px 10px 10px;
}
.product_list {
	list-style-type: none;
	margin: 0px;
	padding: 0px;
}

.cart_product{
	border: 1px solid #ddd;
	border-radius: 10px;
	position: relative;
	padding: 10px;
	margin: 10px;
}

.product_delete{
	position: absolute;
	right: 10px;
	top: 0px;
	font-size: 40px;
	color:var(--primary-color); 
}

.cart_product h2 {
	padding-right: 30px;
}

.cart_product h2 a {
  color: var(--primary-color) !important;
  text-decoration: none;
  font-size: 16px;
  text-align: left;
}

.cart_product h2 a:hover {
  color: var(--primary-color) !important;
  text-decoration: underline;
}

@media screen and (min-width: 900px) {
  .cart_product h2 a {
    font-size: 20px;
  }
}

.cart_product_content{
	display :grid;
	grid-template-columns: 120px auto;
	grid-template-areas:
		'figure description';
	align-items: center;
}

.cart_product .product_ref{
	font-family: 'Ubuntu Bold';
	font-size: 18px;
}

.cart_product img{
	max-width: 100%;
	max-height: 150px;
	font-size: 8px;
	overflow: hidden;
	overflow-wrap: break-word;
	display: block;
}
.cart_picture_container{
	grid-area: figure;
}

.cart_product_content_details{
	grid-area: description;
	
}
.cart_product_content_details li{
	list-style-type: none;
	margin: 7px;
}

.cart_product_content_details li.quantity_line {
	line-height: 38px;
}

.detail_label{
	text-align: left;
}


.detail_result{
	font-family: 'Ubuntu Bold';
	position: absolute !important;
	right: 10px;
}

.product_quantity{
	display: inline-block;
	width : 140px;
	text-align : center;
	cursor: pointer;
	border-radius: 10px;
}

.cart_info{
	position: relative;
	border: 1px solid #ddd;
	border-radius: 10px;
	margin:10px;
	padding: 10px;
}

.cart_info h2{
	font-size: 24px;
	padding-right: 20px;	
}

.cart_option{
	border: 1px solid #ddd;
	border-radius: 10px;
	margin:10px;
	padding: 10px;
}

.cart_info_label{
	font-size: 16px;
}

.cart_info_result{
	position: absolute;
	right: 10px;
	font-size: 16px;
	font-family: 'Ubuntu Bold';
}

.cart_info_final{
	font-size: 21px;
}

.delivery_list{
	border: 1px solid #dfdfdf;
	border-radius: 10px;
	list-style-type: none;
	padding: 10px;
}

.delivery_list h2{
	font-size: 18px;
}

.delivery_list h3{
	color:var(--primary-color);
	font-size: 16px;
	margin: 0px;
}

.delivery_list li::marker{
	color:var(--primary-color);
}

.delivery_card ul{
	cursor: pointer;
	border: 1px solid #cacaca;
	border-radius: 10px;
	margin: 5px 0px;
	padding: 10px 20px;
	list-style-type: disc;
}

.delivery_card{
	color: #666;
}

.delivery_card .delivery_active{
	border: 2px solid var(--primary-color);
	background-color: #dbeaff;
}

.delivery_card a{
	font-size: 14px;
	text-decoration: none;
}

.delivery_card ul{
	position: relative;
}

.delivery_price{
	position: absolute;
	right: 10px;
	top: 10px;
	font-size: 16px;
	font-family: 'Ubuntu Bold';
	color: #F26922;
}

.delivery_active .delivery_price{
	color: #333;
}

@keyframes blinking_shadow {
  50% {
    box-shadow: rgba(0, 0, 0, 0.15) 0px 10px 20px, rgba(0, 0, 0, 0.15) 0px 8px 8px;
  }
}

.blinking_shadow {
  animation: blinking_shadow 1s infinite;
}


.updateOrderAddress .card{
	position: relative;
	margin-top: 5px;
	font-size: 14px;
}

.updateOrderAddress ul{
	list-style-type: disc;
	list-style-position: outside;
}

.updateOrderAddress li{
	cursor: pointer;
}

.updateOrderAddress .active{
	border: 2px solid var(--primary-color);
	background-color: #dbeaff;
	color: #333;
}

.updateOrderAddress .btn-group{
	position: absolute;
	right: 5px;
	top: 5px;
} 

.updateOrderAddress h3{
	color:var(--primary-color);
	font-size: 16px;
	margin: 0px;
}
